# Get Viber Bot channel information

Returns the information for a Viber Bot channel linked to a Conversation API App.

Endpoint: GET /v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Security:

  - `BasicAuth` (unknown)
    http basic

  - `BearerAuth` (unknown)
    http bearer JWT

  - `OAuth2Production` (unknown)
    oauth2

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `conversationAppId` (string, required)
    The unique ID of the app. You can find this on the Sinch Dashboard.

## Response 200:

  - `200` (unknown)
    Viber Bot information.

## Response 200 fields (application/json):

  - `status` (string, required)
    Channel integration status.
    Enum: "ACTIVE", "ERROR", "FAILING", "PENDING", "UNRECOGNIZED"

  - `statusDescription` (string)
    Channel integration description if status is ERROR or FAILED.

  - `id` (string)
    Account ID

  - `name` (string)
    Account name

  - `uri` (string)
    Account URI

  - `icon` (string)
    Account icon URI

  - `category` (string)
    Account category

  - `subcategory` (string)
    Account subcategory

  - `location` (object)
    Account location

  - `location.lon` (number, required)
    Location longitude

  - `location.lat` (number, required)
    Location latitude

  - `country` (string)
    Account country name (long)

  - `subscribersCount` (number)
    Account subscribers count

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: unauthorized_error

  - `message` (string)
    Human readable message.
    Example: Unauthorized error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that projectId is correct.

## Response 404:

  - `404` (unknown)
    NotFound

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: conversation_app_not_found

  - `message` (string)
    Human readable message.
    Example: Conversation app not found.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Verify that the parameters are correct.

## Response 500:

  - `500` (unknown)
    InternalServerError

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: viber_api_error

  - `message` (string)
    Human readable message.
    Example: Viber API returned error.

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: Please try again later.

